/* Copyright 2021
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "featherble.h"

void board_led_init(void)
{
  setPinOutput(C7);
}

void board_led_set(int val)
{
  writePin(C7, val);
}

void board_prepare_sleep(void)
{
  // auf feather bluefruit ist der Pin E2/HWB mit +3V3 verbunden:
  setPinInput(E2);
  
  // auf feather bluefruit nicht auf die Anschlussleiste geführt:
  setPinInputHigh(B0);
  setPinInputHigh(D5);

  // Eingang Akkuspannung B5/ADC12
  DIDR2 |= 0x10;  
  
#ifndef AUDIO_ENABLE
  setPinInput(B6);  // audio
#endif
  
  // keyboard matrix:
  setPinInputHigh(F7); setPinInputHigh(F5); setPinInputHigh(D2); setPinInputHigh(D6); setPinInputHigh(B7); setPinInputHigh(D7); 
  setPinInputHigh(C6); setPinInputHigh(F6); setPinInputHigh(F0); setPinInputHigh(F1); setPinInputHigh(F4); setPinInputHigh(D3);

  PRR1 = 0x10 | 0x09; // Timer4, Timer3, USART abschalten  
}
