F_CPU = 8000000


# mit bluetooth (feather) geht nkro nicht, darum: 
NKRO_ENABLE = no           # USB Nkey Rollover

# Der Speicher reicht für Bluetooth und Pimoroni, auch für Audio?
# Es gibt einen Übersetzungsfehler vor dem Linken, wenn ich Audio
# und Bluetooth zusammen aktiviere, aber ich vermute, dass letztlich
# auch der Speicher knapp wird.
# -Bluetooth -Pimoroni -Audio -Music  12196 Byte frei
# -Bluetooth +Pimoroni -Audio -Music   8094 Byte frei Pimoroni braucht 4102 Byte. Wegen float-Emulation?
# -Bluetooth +Pimoroni +Audio -Music   3930 Byte frei Audio ohne Music braucht 4164 Byte
# -Bluetooth +Pimoroni +Audio +Music   1410 Byte frei
# +Bluetooth +Pimoroni -Audio -Music   2800 Byte frei Bluetooth braucht 5294 Byte
# Demnach passen Bluetooth und Audio nur zusammen rein, wenn
# ich Pimoroni weglasse. Irgendwo muss ich 5294+4164+4102-12196=1364
# Byte sparen, wenn alles zusammen rein soll. 
# Aber ohne Pimoroni muss es gehen und es stellt sich die Frage, woher
# der Übersetzungsfehler kommt.
# Workaround für den Fehler: Audio-Includes nicht mehr in
# quantum/quantum.h einbinden, sondern in den nötigen c-Dateien.
# Wenn ich das so mache sind noch 1608 Byte frei, es fehlen also noch
# 4102-1608=2494 Byte, damit Pimoroni reinpasst? Oben hatte ich
# weniger ausgerechnet.
# Wenn ich jetzt versuche alle drei Features zu aktivieren (aber leider 
# ohne music), sagt der Buildprozess, dass die firmware um 1360 Byte
# zu groß ist. Wie kann ich die noch einsparen?
# float kommt auch im Audio-Code vor, die wenige float-Rechnung aus dem 
# Pimoroni-Code zu entfernen reicht also nicht aus.
# https://thomasbaart.nl/2018/12/01/reducing-firmware-size-in-qmk/
# Schade, EXTRAKEY_ENABLE steht bereits auf no, dabei hätte ich das
# vielleicht auch gerne gehabt.

AUDIO_ENABLE = yes

BLUETOOTH = AdafruitBLE
 
BOOTMAGIC_ENABLE = no

# Brauche ich mousekey? Es abzuschalten bringt nichts, weil es wohl von
# etwas anderem erzwungen wird.
MOUSEKEY_ENABLE = yes

# Das kostet 482 Byte:
EXTRAKEY_ENABLE = no

CONSOLE_ENABLE    = no
SLEEP_LED_ENABLE  = no
BACKLIGHT_ENABLE  = no
RGBLIGHT_ENABLE   = no
MIDI_ENABLE       = no
UNICODE_ENABLE    = no
FAUXCLICKY_ENABLE = no
HD44780_ENABLE    = no

# https://github.com/qmk/qmk_firmware/issues/3224#issuecomment-399769416
EXTRAFLAGS += -flto

# https://thomasbaart.nl/2018/12/01/reducing-firmware-size-in-qmk/
COMBO_ENABLE = no 

# diese hier bringen keine Änderung mehr:
COMMAND_ENABLE    = no
ENCODER_ENABLE    = no
KEY_LOCK_ENABLE   = no
LEADER_ENABLE     = no
SPLIT_KEYBOARD    = no
STENO_ENABLE      = no
SWAP_HANDS_ENABLE = no
TAP_DANCE_ENABLE  = no
TERMINAL_ENABLE   = no
UNICODEMAP_ENABLE = no
UCIS_ENABLE       = no

# https://docs.qmk.fm/#/squeezing_avr
LTO_ENABLE = yes
SPACE_CADET_ENABLE = no
GRAVE_ESC_ENABLE = no 
MAGIC_ENABLE = no
