/* Copyright 2021
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "promicro.h"

void board_led_init(void)
{
  setPinOutput(B0);
  setPinOutput(D5);
}

void board_led_set(int val)
{
  writePin(B0, !val);
  writePin(D5, !val);
}

void board_prepare_sleep(void)
{
  // auf dem ProMicro ist der Pin E2/HWB mit GND verbunden, der sollte also keinen Pullup haben.
  writePinLow(E2);
  setPinInput(E2);
  
  // auf dem ProMicro nicht auf die Anschlussleiste geführt:
  setPinInputHigh(F0);
  setPinInputHigh(F1);
  setPinInputHigh(B7);
  setPinInputHigh(C7);
  setPinInputHigh(D6);
  DIDR1 |= 0x03;
 
  // Wenn sie nicht für irgendwelche Testausgaben gebraucht werden:
  DIDR1 |= 0x20; 
  setPinInputHigh(F5);
  setPinInputHigh(B1);
  setPinInputHigh(B3);  

#ifndef AUDIO_ENABLE
  setPinInput(C6);  // audio
#endif
  
  // keyboard matrix:
  setPinInputHigh(D3); setPinInputHigh(D4); setPinInputHigh(B4); setPinInputHigh(F4); setPinInputHigh(F6); setPinInputHigh(B2); 
  setPinInputHigh(B6); setPinInputHigh(D2); setPinInputHigh(E6); setPinInputHigh(D7); setPinInputHigh(F7); setPinInputHigh(B5);
  
  PRR0 |= 0x08 | 0x04 | 0x01; // Timer1, SPI, ADC abschalten
  PRR1 = 0x10 | 0x01; // Timer4, USART abschalten  
}
